//+============================================================================
// $Source: /cvsroot/tango-cs/tango/tools/pogo/templates/java/TangoclassProxy.java,v $
//
// project :     Tango Device Server
//
// Description:	.
//
// $Author: pascal_verdier $
//
// $Revision: 3.1 $
//
// $Log: TangoclassProxy.java,v $
// Revision 3.1  2004/09/06 09:29:17  pascal_verdier
// *** empty log message ***
//
//
// copyleft :   European Synchrotron Radiation Facility
//              BP 220, Grenoble 38043
//              FRANCE
//
//-============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================




import fr.esrf.Tango.*;
import fr.esrf.TangoDs.*;
import fr.esrf.TangoApi.*;


/**
 * @author	$Author: pascal_verdier $
 * @version	$Revision: 3.1 $
 */

public class TangoclassProxy extends DeviceProxy
{
	/**
	 *	DeviceData object used for command input parameter(s)
	 */
	private DeviceData		data_in;
	/**
	 *	DeviceData object used for command output parameter(s)
	 */
	private DeviceData		data_out;
	/**
	 *	Tango device name.
	 */
	public  String			name;

//===========================================================
/**
 *	TangoclassProxy	object constructor.
 *
 *	@param devname	Tango device name.
 */
//===========================================================
	public TangoclassProxy(String devname) throws DevFailed
	{
		super(devname);
		data_in  = new DeviceData();
		data_out = new DeviceData();
		name     = devname;
	}
	
//===========================================================
/**
 *	main method to test TangoclassProxy class.
 */
//===========================================================
	public static void main(String[] argv)
	{
		try
		{
			TangoclassProxy	client = new TangoclassProxy("");
		}
		catch (DevFailed e)
		{
			Except.print_exception(e);
		}
	}
}
